## org.apache.aries.subsystem.core.internal
Class Activator

    java.lang.Object
      org.apache.aries.subsystem.core.internal.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator, org.osgi.util.tracker.ServiceTrackerCustomizer<Object,Object>

    public class Activator

extends Object
implements org.osgi.framework.BundleActivator, org.osgi.util.tracker.ServiceTrackerCustomizer<Object,Object>

The bundle activator for the this bundle. When the bundle is starting, this activator will create and register the SubsystemAdmin service.

Constructor Summary
`Activator()`

Method Summary
`Object` `addingService(org.osgi.framework.ServiceReference<Object> reference)`
`org.osgi.framework.BundleContext` `getBundleContext()`
`org.osgi.service.coordinator.Coordinator` `getCoordinator()`
`Collection<org.apache.aries.util.filesystem.IDirectoryFinder>` `getIDirectoryFinders()`
`static Activator` `getInstance()`
`org.apache.aries.application.modelling.ModelledResourceManager` `getModelledResourceManager()`
`org.eclipse.equinox.region.RegionDigraph` `getRegionDigraph()`
`Collection<org.osgi.service.repository.Repository>` `getRepositories()`
`org.osgi.service.resolver.Resolver` `getResolver()`
`Subsystems` `getSubsystems()`
`SubsystemServiceRegistrar` `getSubsystemServiceRegistrar()`
`org.osgi.service.repository.Repository` `getSystemRepository()`
`void` `modifiedService(org.osgi.framework.ServiceReference<Object> reference, Object service)`
`void` `removedService(org.osgi.framework.ServiceReference<Object> reference, Object service)`
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

Method Detail

### getInstance

    public static Activator getInstance()

### getBundleContext

    public org.osgi.framework.BundleContext getBundleContext()

### getCoordinator

    public org.osgi.service.coordinator.Coordinator getCoordinator()

### getModelledResourceManager

    public org.apache.aries.application.modelling.ModelledResourceManager getModelledResourceManager()

### getRegionDigraph

    public org.eclipse.equinox.region.RegionDigraph getRegionDigraph()

### getRepositories

    public Collection<org.osgi.service.repository.Repository> getRepositories()

### getIDirectoryFinders

    public Collection<org.apache.aries.util.filesystem.IDirectoryFinder> getIDirectoryFinders()

### getResolver

    public org.osgi.service.resolver.Resolver getResolver()

### getSubsystems

    public Subsystems getSubsystems()

### getSubsystemServiceRegistrar

    public SubsystemServiceRegistrar getSubsystemServiceRegistrar()

### getSystemRepository

    public org.osgi.service.repository.Repository getSystemRepository()

### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`

### addingService

    public Object addingService(org.osgi.framework.ServiceReference<Object> reference)

  Specified by:
    `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<Object,Object>`

### modifiedService

    public void modifiedService(org.osgi.framework.ServiceReference<Object> reference,
                                Object service)

  Specified by:
    `modifiedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<Object,Object>`

### removedService

    public void removedService(org.osgi.framework.ServiceReference<Object> reference,
                               Object service)

  Specified by:
    `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<Object,Object>`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.